/** 邮箱验证码场景 */
export enum EmailVerifyCodeScene {
  register = 'register',
  forgetPassword = 'forgetPassword',
  changeEmail = 'changeEmail',
  deleteUser = 'deleteUser',
}

/** 验证码邮件发送入参 */
export interface EmailSendDto {
  email: string
  scene: EmailVerifyCodeScene
}

/** 验证码邮件发送回参 */
export interface EmailSendResponse {
  token: string
  userId?: string
}

/** 邮箱验证入参 */
export interface EmailVerifyDto {
  email: string
  /** @description 发送邮箱接口返回的Token */
  token: string
  /** @description 邮箱验证码 */
  verifyCode: string
}
