import { EmailVerifyDto } from './email.interface'

/** 登录入参 */
export interface LoginInputDto {
  email: string
  password: string
}

/** 注册入参 */
export interface RegisterInputDto extends EmailVerifyDto {
  password: string
  username?: string
}

/** 重置密码入参 */
export interface ForgetPasswordInputDto extends EmailVerifyDto {
  userId: string
  password: string
}

/** 删除账户入参 */
export interface DeleteUser extends EmailVerifyDto {
  password: string
}

export type AccessToken = string

/** 用户 */
export interface User {
  id: string
  email: string
  username: string | null
  password: string
  /** @format date-time */
  createdAt: string
  /** @format date-time */
  updatedAt: string
}
