import axios, { AxiosError } from 'axios'
import { throwError, ErrorResponse } from './throwError'

const normalAxios = axios.create()

normalAxios.interceptors.response.use(
  (response) => response,
  async (error: AxiosError<ErrorResponse>) => {
    switch (error.response?.status) {
      default: {
        return throwError(error)
      }
    }
  },
)

export default normalAxios
