import { AxiosError } from 'axios'
import { toast } from 'react-toastify'

export interface ErrorResponse {
  statusCode: number
  message: string
}

export const throwError = (error: AxiosError<ErrorResponse>) => {
  toast.error(
    error.response?.data.message.toString() ?? error.response?.statusText,
  )
  return Promise.reject(error)
}
