import { useState, useRef, useEffect } from 'react'

/** 倒计时 */
export function useCountdown() {
  const [countdown, setCountdown] = useState(0)
  const previousCountdownRef = useRef(countdown)
  useEffect(() => {
    previousCountdownRef.current = countdown
  }, [countdown])

  const intervalRef = useRef<number>()

  useEffect(() => {
    intervalRef.current = window.setInterval(() => {
      const previousCountdown = previousCountdownRef.current
      if (previousCountdown > 0) {
        const newCountdown = previousCountdown - 1
        setCountdown(newCountdown)
      }
    }, 1000)
    return () => window.clearInterval(intervalRef.current)
  }, [])

  return { countdown, setCountdown }
}

export const COUNTDOWN_SECONDS = 60
